Package com.macrofocus.high_d.treetable.swing

# Class TreeMapTreeTableModel

java.lang.Object
com.macrofocus.high_d.treetable.swing.AbstractTreeTableModel
com.macrofocus.high_d.treetable.swing.TreeMapTreeTableModel

All Implemented Interfaces:
  `TreeTableModel`, `TreeModel`

public class TreeMapTreeTableModel extends AbstractTreeTableModel
Created by luc on 28/05/15.

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.treetable.swing.AbstractTreeTableModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeMapTreeTableModel(com.treemap.DefaultTreeMapModel model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getChild(Object p, int index)`
  `int`
  `getChildCount(Object p)`
  `Class<?>`
  `getColumnClass(int columnIndex)`
  Returns the type (class) of a column.
  `int`
  `getColumnCount()`
  Returns the number of available columns.
  `String`
  `getColumnName(int columnIndex)`
  Returns the column name.
  `Object`
  `getRoot()`
  `Object`
  `getValueAt(Object n, int columnIndex)`
  Returns the value of a node in a column.
  `boolean`
  `isCellEditable(Object node, int column)`
  Check if a cell of a node in one column is editable.
  `void`
  `setValueAt(Object aValue, Object node, int column)`
  Sets a value for a node in one column.

  ### Methods inherited from class com.macrofocus.high_d.treetable.swing.AbstractTreeTableModel

  `addTreeModelListener, fireTreeNodesChanged, fireTreeNodesInserted, fireTreeNodesRemoved, fireTreeStructureChanged, getIndexOfChild, isLeaf, removeTreeModelListener, valueForPathChanged`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeMapTreeTableModel

    public TreeMapTreeTableModel(com.treemap.DefaultTreeMapModel model)

- ## Method Details

  - ### getRoot

    public Object getRoot()

  - ### getColumnCount

    public int getColumnCount()
    Description copied from interface: `TreeTableModel`
    Returns the number of available columns.
    Returns:
      Number of Columns

  - ### getColumnName

    public String getColumnName(int columnIndex)
    Description copied from interface: `TreeTableModel`
    Returns the column name.
    Parameters:
      `columnIndex` - Column number
    Returns:
      Column name

  - ### getColumnClass

    public Class<?> getColumnClass(int columnIndex)
    Description copied from interface: `TreeTableModel`
    Returns the type (class) of a column.
    Parameters:
      `columnIndex` - Column number
    Returns:
      Class

  - ### getValueAt

    public Object getValueAt(Object n, int columnIndex)
    Description copied from interface: `TreeTableModel`
    Returns the value of a node in a column.
    Parameters:
      `n` - Node
      `columnIndex` - Column number
    Returns:
      Value of the node in the column

  - ### isCellEditable

    public boolean isCellEditable(Object node, int column)
    Description copied from interface: `TreeTableModel`
    Check if a cell of a node in one column is editable.
    Parameters:
      `node` - Node
      `column` - Column number
    Returns:
      true/false

  - ### setValueAt

    public void setValueAt(Object aValue, Object node, int column)
    Description copied from interface: `TreeTableModel`
    Sets a value for a node in one column.
    Parameters:
      `aValue` - New value
      `node` - Node
      `column` - Column number

  - ### getChild

    public Object getChild(Object p, int index)

  - ### getChildCount

    public int getChildCount(Object p)